=== debian/changelog ===
ayatana-indicator-datetime (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Versioned D on ayatana-indicator-common (>= 0.8.0).
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 10:08:16 +0200

ayatana-indicator-datetime (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_CMakeLists.txt-Drop-workaround-for-missing-libexec-d.patch.
      Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Aug 2020 18:13:06 +0200

ayatana-indicator-datetime (0.4.0-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #966170).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jul 2020 12:13:39 +0200
