=== debian/control ===
Source: ayatana-indicator-datetime
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               dbus,
               debhelper-compat (= 13),
               intltool,
               libaccounts-glib-dev (>= 1.18),
               libglib2.0-dev (>= 2.35.4),
               libnotify-dev (>= 0.7.6),
               libgstreamer1.0-dev,
               libecal2.0-dev (>= 3.16) | libecal1.2-dev (>= 3.16),
               libical-dev (>= 1.0),
               libedataserver1.2-dev (>= 3.5),
#              accountsservice-ubuntu-schemas,
#              liburl-dispatcher1-dev,
               libproperties-cpp-dev,
# for the test harness:
               libgtest-dev,
               libdbustest1-dev,
               dbus-test-runner,
               python3-dbusmock,
# for 12h/24h locale unit tests:
               locales,
# for running live EDS tests:
               evolution-data-server,
               gvfs-daemons,
               systemd [linux-any],
# for phone alarm/calendar notification sound tests:
#              ubuntu-touch-sounds,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/ArcticaProject/ayatana-indicator-datetime
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime/

Package: ayatana-indicator-datetime
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common (>= 0.8.0),
         libglib2.0-bin,
Recommends: indicator-applet | mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
            evolution-data-server,
            geoclue-provider,
Description: Ayatana Indicator providing clock and calendar
 This Ayatana Indicator provides a combined calendar, clock, alarm and
 event management tool.
