=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-datetime/ayatana-indicator-datetime-(.+)\.tar\.gz
