=== debian/changelog ===
ayatana-indicator-datetime (0.8.1-2) unstable; urgency=medium

  * debian/control:
    + Add Debian UBports Team to Uploaders: field.
    + Mention desktop envs that support system indicators in LONG_DESCRIPTION.
    + Typo fix in LONG_DESCRIPTION.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 07 Nov 2020 15:09:09 +0100

ayatana-indicator-datetime (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B:/R: relation to indicator datetime. (LP:#1893028, LP:#1893244).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Sep 2020 22:14:06 +0200
