=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
+ Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: cmake,
                cmake-extras (>= 0.10),
                dbus,
@@ -47,6 +48,12 @@
 Recommends: indicator-applet | mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
             evolution-data-server,
             geoclue-provider,
+Breaks: indicator-datetime,
+Replaces: indicator-datetime,
 Description: Ayatana Indicator providing clock and calendar
  This Ayatana Indicator provides a combined calendar, clock, alarm and
  event management tool.
+ .
+ Ayatana Indicators are only available on desktop environments that
+ provide a renderer for system indicators (such as MATE, XFCE, Lomiri,
+ etc.).
