## ayatana-indicator-datetime 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 include (GNUInstallDirs)
 
-set (PROJECT_VERSION "0.8.1")
+set (PROJECT_VERSION "0.8.2")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 option (enable_tests "Build the package's automatic tests." ON)
 option (enable_lcov "Generate lcov code coverage reports." ON)
