=== debian/changelog ===
ayatana-indicator-datetime (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 0001_port-to-lomiri-url-dispatcher.patch. Port to Lomiri URL
      Dispatcher.
  * debian/control:
    + Fix wrong Github project in Homepage: field's URL. (Closes: #974742).
    + Fix capitalization of the word 'Xfce'.
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Add B-D: liblomiri-url-dispatcher-dev.
  * debian/watch:
    + Update format version to 4.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 03 Feb 2021 12:36:06 +0100
