=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libical-dev (>= 1.0),
                libedataserver1.2-dev (>= 3.5),
 #              accountsservice-ubuntu-schemas,
-#              liburl-dispatcher1-dev,
+               liblomiri-url-dispatcher-dev (>= 0.1),
                libproperties-cpp-dev,
 # for the test harness:
                libgtest-dev,
@@ -33,9 +33,9 @@
                systemd [linux-any],
 # for phone alarm/calendar notification sound tests:
 #              ubuntu-touch-sounds,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://github.com/ArcticaProject/ayatana-indicator-datetime
+Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-datetime
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime.git
 Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime/
 
@@ -55,5 +55,5 @@
  event management tool.
  .
  Ayatana Indicators are only available on desktop environments that
- provide a renderer for system indicators (such as MATE, XFCE, Lomiri,
+ provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
  etc.).
