=== debian/changelog ===
ayatana-indicator-datetime (22.2.0-1ubuntu0) jammy; urgency=medium

  * Disable Lomiri features so ayatana-indicator-datetime can build on
    Ubuntu.

 -- Martin Wimpress <code@wimpress.io>  Wed, 09 Mar 2022 16:49:41 +0000

ayatana-indicator-datetime (22.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Add B-Ds: lomiri-schemas and lomiri-sounds.
    + Sort B-Ds.
    + Add B-D liblomiri-url-dispatcher-dev for enabled Lomiri features.
  * debian/rules:
    + Add build flag '-DENABLE_LOMIRI_FEATURES'.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 20 Feb 2022 20:41:40 +0100

ayatana-indicator-datetime (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.
  * debian/rules:
    + Use upstream's NEWS file as upstream ChangeLog.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Update build requirements in B-D: field. Also add <!nocheck> flags.
    + Bump Standards-Version: 4.6.0. No changes needed.
  * debian/rules:
    + Enable unit tests.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Nov 2021 21:24:11 +0100

ayatana-indicator-datetime (0.8.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #995279).
  * debian/patches:
    + Drop 0001_port-to-lomiri-url-dispatcher.patch. Shipped upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 19 Oct 2021 10:16:58 +0200
