=== debian/control ===
--- 
+++ 
@@ -11,29 +11,30 @@
                debhelper-compat (= 13),
                intltool,
                libaccounts-glib-dev (>= 1.18),
+               libayatana-common-dev (>= 0.9.3),
+               libecal2.0-dev (>= 3.16) | libecal1.2-dev (>= 3.16),
+               libedataserver1.2-dev (>= 3.5),
                libglib2.0-dev (>= 2.35.4),
+               libgstreamer1.0-dev,
+               libical-dev (>= 1.0),
+               libmessaging-menu-dev,
                libnotify-dev (>= 0.7.6),
-               libgstreamer1.0-dev,
-               libecal2.0-dev (>= 3.16) | libecal1.2-dev (>= 3.16),
-               libical-dev (>= 1.0),
-               libedataserver1.2-dev (>= 3.5),
-#              accountsservice-ubuntu-schemas,
-               liblomiri-url-dispatcher-dev (>= 0.1),
                libproperties-cpp-dev,
+               uuid-dev,
 # for the test harness:
-               libgtest-dev,
-               libdbustest1-dev,
-               dbus-test-runner,
-               python3-dbusmock,
+               dbus-test-runner <!nocheck>,
+               libdbustest1-dev <!nocheck>,
+               libgtest-dev <!nocheck>,
+               python3-dbusmock <!nocheck>,
 # for 12h/24h locale unit tests:
-               locales,
+               locales <!nocheck>,
 # for running live EDS tests:
-               evolution-data-server,
-               gvfs-daemons,
-               systemd [linux-any],
-# for phone alarm/calendar notification sound tests:
-#              ubuntu-touch-sounds,
-Standards-Version: 4.5.1
+               evolution-data-server <!nocheck>,
+               gvfs-daemons <!nocheck>,
+               systemd [linux-any] <!nocheck>,
+# for tests that require the org.ayatana.common GSchema
+               ayatana-indicator-common <!nocheck>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-datetime
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime.git
