=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,24 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+DEB_CMAKE_EXTRA_FLAGS = \
+    -DENABLE_LOMIRI_FEATURES=OFF \
+    -DENABLE_TESTS=ON \
+    -DENABLE_COVERAGE=OFF \
+    $(NULL)
+
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Denable_tests=OFF
+	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)
 
 override_dh_missing:
 	dh_missing --fail-missing
 
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
+
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..
