## ayatana-indicator-datetime 22.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
 endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
-set (PROJECT_VERSION "22.2.0")
+set (PROJECT_VERSION "22.9.0")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options
