=== src/CMakeLists.txt ===
--- 
+++ 
@@ -47,19 +47,12 @@
 add_gdbus_codegen(SERVICE_GENERATED_SOURCES dbus-alarm-properties
                   org.ayatana.indicator
                   ${CMAKE_SOURCE_DIR}/data/org.ayatana.indicator.datetime.AlarmProperties.xml)
-if(HAVE_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS)
+
+if (ENABLE_LOMIRI_FEATURES)
         add_gdbus_codegen(SERVICE_GENERATED_SOURCES dbus-accounts-sound
-                          com.ubuntu.touch
-                          ${CMAKE_SOURCE_DIR}/src/com.ubuntu.touch.AccountsService.Sound.xml)
-        add_definitions (-DHAVE_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS)
+                          com.lomiri.touch
+                          /usr/share/accountsservice/interfaces/com.lomiri.touch.AccountsService.Sound.xml)
 endif()
-
-# add warnings/coverage info on handwritten files
-# but not the autogenerated ones...
-set_source_files_properties(${SERVICE_CXX_SOURCES}
-                            PROPERTIES COMPILE_FLAGS "${CXX_WARNING_ARGS} ${GCOV_FLAGS} -g -std=c++11")
-set_source_files_properties(${SERVICE_C_SOURCES}
-                            PROPERTIES COMPILE_FLAGS "${CXX_WARNING_ARGS} ${GCOV_FLAGS} -g -std=c99")
 
 # add the bin dir to our include path so our code can find the generated header files
 include_directories (${CMAKE_CURRENT_BINARY_DIR})
@@ -69,6 +62,5 @@
 link_directories (${SERVICE_DEPS_LIBRARY_DIRS})
 
 add_executable (${SERVICE_EXEC} main.cpp)
-set_source_files_properties(${SERVICE_SOURCES} main.cpp PROPERTIES COMPILE_FLAGS "${CXX_WARNING_ARGS} -g -std=c++11")
-target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES} ${GCOV_LIBS} ${URLDISPATCHER_LIBRARIES})
-install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})
+target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES})
+install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
