=== debian/changelog ===
ayatana-indicator-datetime (22.9.1-1+deb12u1) bookworm; urgency=medium

  * debian/patches:
    + Add 0001_engine-eds-fix-retrieving-custom-alarm-sound-path.patch. Fix
      playing of custom alarm sounds. (Closes: #1037330).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Jun 2023 17:54:33 +0200

ayatana-indicator-datetime (22.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Nov 2022 17:06:05 +0100
