=== debian/control ===
--- 
+++ 
@@ -21,6 +21,10 @@
                libnotify-dev (>= 0.7.6),
                libproperties-cpp-dev,
                uuid-dev,
+# for lomiri features
+               lomiri-schemas (>= 0.1.1),
+               lomiri-sounds (>= 22.02),
+               liblomiri-url-dispatcher-dev,
 # for the test harness:
                dbus-test-runner <!nocheck>,
                libdbustest1-dev <!nocheck>,
@@ -34,7 +38,7 @@
                systemd [linux-any] <!nocheck>,
 # for tests that require the org.ayatana.common GSchema
                ayatana-indicator-common <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-datetime
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime.git
