=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 DEB_CMAKE_EXTRA_FLAGS = \
-    -DENABLE_LOMIRI_FEATURES=OFF \
+    -DENABLE_LOMIRI_FEATURES=ON \
     -DENABLE_TESTS=ON \
     -DENABLE_COVERAGE=OFF \
     $(NULL)
