## ayatana-indicator-datetime 23.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
 endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
-set (PROJECT_VERSION "22.9.1")
+set (PROJECT_VERSION "23.6.0")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options
