=== debian/changelog ===
ayatana-indicator-datetime (23.6.0-1) unstable; urgency=medium

  * New upstream release.
    - Fix playing custom alarm sounds set up via lomiri-clock-app.
      (Closes: #1037330).
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Jun 2023 16:33:56 +0200
