=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                systemd [linux-any] <!nocheck>,
 # for tests that require the org.ayatana.common GSchema
                ayatana-indicator-common <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-datetime
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime.git
